Bug 198741 - System crashes after kernel upgrade
System crashes after kernel upgrade
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 03:54 EDT by Mike Coats
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 01:46:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Coats 2006-07-13 03:54:12 EDT
Description of problem:
System freezes or crashes while booting at udev init after upgrading kernel.

Version-Release number of selected component (if applicable):
kernel-2.6.17-1.2145_FC5
kernel-2.6.17-1.2139_FC5

How reproducible:
everytime

Steps to Reproduce:
boot kernel-2.6.17-1.2139_FC5 or kernel-2.6.17-1.2145_FC5
  
Actual results:
Crash or system hang.

Expected results:
Normal boot.

Additional info:
I installed 2.6.17-1.2145_FC5 from 2.6.16-1.2133_FC5 system would hang or 
crash at udev everytime after installing 2145. I then installed 
2.6.17-1.2139_FC5 and reboot, and this kernel did the same thing as 2145. I 
also compiled and made new packages from kernel-2.6.17-1.2145_FC5.src.rpm. 
Using a custom, slimmed down .config file from a successful 2.6.16-1.2133 
kernel (kernel I'm currently using). I install the new package/kernel(custom 
2.6.17-1.2145), this kernel also crashed/hung in same spot of boot process.
Comment 1 Mike Coats 2006-07-19 03:07:34 EDT
kernel-2.6.17-1.2157_FC5 Also crashes in same manner.
Comment 2 Mike Coats 2006-07-30 01:49:37 EDT
Test kernel... kernel-2.6.17-1.2159_FC5 Also crashes in same manner.
Comment 3 Mike Coats 2006-08-10 04:10:03 EDT
kernel-2.6.17-1.2171_FC5 also crashes in same spot... however it crashes the
same everytime now.. stating abnomral exit to /lib/udev/udev_run_hotplugd
Comment 4 Mike Coats 2006-08-14 03:39:51 EDT
kernel-2.6.17-1.2174_FC5 crashes at udev... with random crash messages.
Comment 5 Mike Coats 2006-09-19 03:04:29 EDT
kernel-2.6.17-1.2187_FC5 crashes in the same manner....
Comment 6 Mike Coats 2006-09-30 00:18:07 EDT
kernel-2.6.18-1.2189 Test kernel boots normally, seams the bug is resolved... 
I suspect it to be a problem with 2.6.17 kernels sense all of them failed to 
boot, and all 2.6.16 and now this 2.6.18 boots fine.
Comment 7 Dave Jones 2006-10-16 16:10:16 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Mike Coats 2006-10-17 00:37:00 EDT
2.6.18-1.2200.fc5 boots nrmally without crashing. and this system was not 
upgraded from FC4 to FC5.

Note You need to log in before you can comment on or make changes to this bug.